net.sourceforge.pmd

## Class RulesetsFactoryUtils

- java.lang.Object
- - net.sourceforge.pmd.RulesetsFactoryUtils

-     public final class RulesetsFactoryUtils
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RuleSetFactory` | `getRulesetFactory(PMDConfiguration configuration)`
    `static RuleSets` | `getRuleSets(String rulesets, RuleSetFactory factory, long loadRuleStart)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRuleSets

          public static RuleSets getRuleSets(String rulesets,
                             RuleSetFactory factory,
                             long loadRuleStart)

    - #### getRulesetFactory

          public static RuleSetFactory getRulesetFactory(PMDConfiguration configuration)

Copyright © 2002-2013 InfoEther. All Rights Reserved.